Page MenuHomePhabricator

Adding a new font for Konkani (Devanagari font with Kannada glyphs)
Closed, DeclinedPublic

Description

K P Rao has created a Devanagari font called Devama, which has Kannada glyphs. The encodings used are of Devanagari Unicode. The glyphs and the rendering logic used are of Kannada. This font will help those Konkani speaking people who can't read Devanagari script. There are a large number of such people residing in coastal Karnataka. By using this Devama font, Konkani people from Karnataka can read the Konkani Wikipedia articles written employing Devanagari script. Hence I request WMF to provide this Devama font as a download option in the ULS for Konkani Wikipedia.

The font is released under OFL and is available at https://github.com/pavanaja/DevamaNew

Event Timeline

Pavanaja created this task.Aug 5 2015, 9:28 AM
Pavanaja raised the priority of this task from to Medium.
Pavanaja updated the task description. (Show Details)
Pavanaja added a subscriber: Pavanaja.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2015, 9:28 AM
Aklapper raised the priority of this task from Medium to Needs Triage.Aug 5 2015, 10:53 AM
Aklapper set Security to None.
santhosh closed this task as Declined.Aug 5 2015, 11:39 AM
santhosh claimed this task.
santhosh added a subscriber: santhosh.

Not showing any disrespect the author of the font, I must say that this is non-standard solution. Creating a drastic difference between underlying data and visual representation is usually used in spoofing and fishing. Content in digital age is not just about visual appearance. Machines reads it and process it. Readers copying content with Kannada appearance and pasting/reusing somewhere will see Devanagari content. This is slightly similar to the ASCII encoded fonts which were very common in Indian languages. We cannot use such non-standard solution in Wikipedia. Sorry about that.

Screenshot illustrating the hack used in the font:

Aklapper renamed this task from Adding a new font for Konkani to Adding a new font for Konkani (Devanagari font with Kannada glyphs).Aug 5 2015, 2:45 PM

Dear Santhosh,

It is definitely a hack solution. Better solution will be online transliteration between Devanagari and Kannada scripts (both ways). That will help not only Kannada Konkanis, it will also help Konkanis who use Devanagari script. But that might be long way. There is an online solution which works that way - http://www.virtualvinodh.com/wp/aksharamukha/

But till then we can use this font.

I am not convinced how the solution proposed by me will be used for phishing. I am not a hacker and can't figure it out. Care to explain a bit?

TTO added a subscriber: TTO.Aug 6 2015, 6:37 AM

Couldn't the "language variants" system be used to solve this problem?

Ideally there should be online transliteration between Devanagari and Kannada scripts. There should be an option to select the script and the transliteration should happen on-the-fly. I can see there is an option in Serbian Wikipedia wherein one can select the script to be used. How can we do something similar for Konkani Wikipedia wherein the user is given an option to select Devanagari or Kannada script?

Arrbee added a subscriber: Arrbee.Aug 31 2015, 11:34 AM

Ideally there should be online transliteration between Devanagari and Kannada scripts. There should be an option to select the script and the transliteration should happen on-the-fly. I can see there is an option in Serbian Wikipedia wherein one can select the script to be used. How can we do something similar for Konkani Wikipedia wherein the user is given an option to select Devanagari or Kannada script?

Please read this document for details about variants: https://www.mediawiki.org/wiki/Writing_systems#LanguageConverter

Its handled under site-requests i.e. a new ticket will be required (along with some prior evaluation of whether this is actually possible). HTH.